Subject: Re: boot time scheduling hile atomic

From: Joerg Dorchain <[email-masked]>
Date: Thu, 10 Mar 2005 08:28:03 +0100

On Thu, Mar 10, 2005 at 01:51:27PM +0900, Takeharu KATO wrote:
> > I am more wondering what in proc_root_init or immediately after it
> > causes a call to the exit_work syscall.
> > 
> This is not called by proc_root_init.
> It seems be called by timer interrupt
> (I confirmed it by viewing trap number in
> interrupt context with ICE).

I came to the same idea. This explains as well why the i386 party does
not notice the effect, as their first interrupt happen later (different
HZ value)

At this point, I was out of clue, so thank you for your help.

Bye,

Joerg